var history_edited = false; 

$('#back_main a.reload').live('click',
  function () { 
    $.getScript(this.href);
		history.replaceState(null, document.title, this.href);
		history_edited = true;
    return false;
  }
);

$('#back_main form').live('submit', function () { 
  $.post(this.action, $(this).serialize(), null, 'script');
	history_edited = true;
  return false;
});

$(document).on('click', '.js_history',
  function () { 
    $.getScript(this.href);
    history.pushState(null, document.title, this.href);
    history_edited = true;
    return false;
  }
);

$(document).on('click', '.pagination a',
  function () { 
    $.getScript(this.href);
    history.pushState(null, document.title, this.href);
    history_edited = true;
    return false;
  }
);

$(window).bind("popstate", function () { 
  if (history_edited) { 
    $.getScript(location.href);  
  }
});